// JAVA Application Template (C) 2005 www.captain.at
// class Main: creates the main window with the menu-bar and tool-bar
// adds App1 to the bottom part of the layout in the main-window

import javax.swing.*;
import java.awt.*;
import java.awt.event.*; 

public class Main implements Runnable {
 
        private JTabbedPane tabbedPane;
        private JFrame dlframe; 
        App1 app1;
        Timer timer=new Timer(this);
        
        public Main() {
      
            dlframe = new JFrame("XCOUNTRY MEETS");
      
            dlframe.addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent e) {
                    System.exit(0);
                }
            });

            buildMenu();

            app1 = new App1();
            
            JToolBar toolBar = new JToolBar();
            addButtons(toolBar);
            
            dlframe.getContentPane().add(toolBar, BorderLayout.NORTH);
            dlframe.getContentPane().add( app1, BorderLayout.CENTER );

            dlframe.pack();
            dlframe.setSize(765, 690);
            dlframe.setBackground(Color.white);
            dlframe.setVisible(true);

        }

        private void buildMenu() {
            JMenuBar menubar = new JMenuBar();
            JMenu filemenu = new JMenu("File");
            JMenuItem openitem = new JMenuItem("Open");
            JMenuItem saveitem = new JMenuItem("Save");
            JMenuItem exititem = new JMenuItem("Exit");
           
            openitem.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    app1.loadFile();
                }
            });

            saveitem.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    app1.saveFile();
                }
            });
 
            exititem.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    System.exit(0);
                }
            }); 

 
            filemenu.add(openitem);
            filemenu.add(saveitem);
            filemenu.add(exititem);
            menubar.add(filemenu);
            dlframe.setJMenuBar(menubar);
            
        }
        
        protected void addButtons(JToolBar toolBar) 
        {
            JButton button = new JButton("Start");
            button.addActionListener(timer);
            toolBar.add(button);
        }                

 /*********************************************************************************************/  
 /* BELOW IS FOR The Timing.  */  
   
     int frame;  
     int delay=50;   // this is the time of the delay in milliseconds.  
     Thread animator;  
      
     public void start()  
     {  
         animator = new Thread(this);  
         animator.start();  
     }    
     public void run()  
     {  
         // Remember the starting time  
         long tm = System.currentTimeMillis();  
         while (Thread.currentThread() == animator)  
         {  
             timer.start();  
             try  
             {  
                 tm += delay;  
                 Thread.sleep(Math.max(0, tm - System.currentTimeMillis()));  
             }  
             catch (InterruptedException e)  
             {  
                 break;  
             } 
         }  
     }  
   
        
        
        public static void main(String[] args)
        {
            
            Main dl = new Main();
            dl.start();

        }
}                    